=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2009-05-29 13:39:28 +0000
+++ loggerhead/controllers/changelog_ui.py	2009-06-25 03:35:43 +0000
@@ -89,9 +89,16 @@
                 self._branch.is_root,
                 'changes'))
 
+        show_tag_col = False
+        for change in changes:
+            if change.tags is not None:
+                show_tag_col = True
+                break
+
         return {
             'branch': self._branch,
             'changes': changes,
+            'show_tag_col': show_tag_col,
             'data': simplejson.dumps(data),
             'util': util,
             'history': history,

=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2009-06-11 21:16:27 +0000
+++ loggerhead/templates/changelog.pt	2009-06-25 03:35:43 +0000
@@ -73,7 +73,7 @@
           <td class="expandcell show_if_js">&nbsp;</td>
           <td class="summarycell">Summary</td>
           <td class="authorcell">Authors</td>
-          <td class="tagscell">Tags</td>
+          <td tal:condition="show_tag_col" class="tagscell">Tags</td>
           <td class="datecell">Date</td>
           <td class="diffcell">Diff</td>
           <td class="downloadcell">Files</td>
@@ -112,7 +112,7 @@
             </td>
             <td tal:content="python:util.trunc(util.hide_email(entry.authors[0]), 20)"
                 class="autcell"></td>
-            <td tal:content="string:${entry/tags}"
+            <td tal:condition="show_tag_col" tal:content="string:${entry/tags}"
                 class="tagcell"></td>
             <td class="date">
               <span tal:attributes="title python:util.date_time(entry.date)"

